Abrir sesión
logo

DEFENSA FRENTE A LAS CIBERAMENAZAS

barra-separadora

Soporte de vulnerabilidades

Servicio de soporte de vulnerabilidadesAnálisis, notificación y seguimiento de aquellas vulnerabilidades más críticas, que impactan especialmente en las tecnologías empleadas en el sector público. El CCN-CERT trabajará en la recopilación y clasificación de las nuevas vulnerabilidades, realizando un análisis teórico y en laboratorio, cuando sea posible, de aquellas que por su criticidad lo requieran.

Se generarán documentos informativos o “abstracts” de dichas vulnerabilidades y se llevará a cabo un seguimiento de la evolución de la vulnerabilidad en Internet, alertando a los organismos ante cambios en la criticidad, aparición de parches, nuevas recomendaciones, constancia de explotaciones activas, etc.

Para inscribirse en este servicio o recibir más información, escribir al correo electrónico: soporte_acreditacion@ccn.cni.es

Abstracts:


Boletines de Vulnerabilidades


Vulnerabilidad de desbordamiento de búfer en Xchat

Clasificación de la vulnerabilidad

Propiedad Valor
Nivel de Confianza Oficial
Impacto Obtener acceso
Dificultad Principiante
Requerimientos del atacante Acceso remoto sin cuenta a un servicio exotico

Información sobre el sistema

Propiedad Valor
Fabricante afectado GNU/Linux
Software afectado Xchat 1.8.0 - 2.0.8

Descripción

Se ha descubierto una vulnerabilidad de desbordamiento de búfer en las versiones que van desde la 1.8.0 a la 2.0.8 de Xchat. La vulnerabilidad reside en la implementación de Socks-5 proxy de Xchat.

La explotación de esta vulnerabilidad podría permitir a un atacante remoto ejecutar código arbitrario con los privilegios del usuario que ejecute Xchat, si este tiene activado socks5, mediante un servidor proxy bajo su control al cuál la víctima se debe conectar.

Solución

Si lo desea, aplique los mecanismos de actualización propios de su distribución, o bien baje las fuentes del software y compílelo usted mismo.


Actualización de software

Xchat
Xchat <= 2.0.8 - Parche
http://xchat.org/files/source/2.0/patches/xc208-fixsocks5.diff

Debian Linux

Debian Linux 3.0
Source
http://security.debian.org/pool/updates/main/n/neon/neon_0.19.3-2woody3.dsc
http://security.debian.org/pool/updates/main/n/neon/neon_0.19.3-2woody3.diff.gz
http://security.debian.org/pool/updates/main/n/neon/neon_0.19.3.orig.tar.gz
Alpha
http://security.debian.org/pool/updates/main/n/neon/libneon-dev_0.19.3-2woody3_alpha.deb
http://security.debian.org/pool/updates/main/n/neon/libneon19_0.19.3-2woody3_alpha.deb
ARM
http://security.debian.org/pool/updates/main/n/neon/libneon-dev_0.19.3-2woody3_arm.deb
http://security.debian.org/pool/updates/main/n/neon/libneon19_0.19.3-2woody3_arm.deb
Intel IA-32
http://security.debian.org/pool/updates/main/n/neon/libneon-dev_0.19.3-2woody3_i386.deb
http://security.debian.org/pool/updates/main/n/neon/libneon19_0.19.3-2woody3_i386.deb
Intel IA-64
http://security.debian.org/pool/updates/main/n/neon/libneon-dev_0.19.3-2woody3_ia64.deb
http://security.debian.org/pool/updates/main/n/neon/libneon19_0.19.3-2woody3_ia64.deb
HP Precision
http://security.debian.org/pool/updates/main/n/neon/libneon-dev_0.19.3-2woody3_hppa.deb
http://security.debian.org/pool/updates/main/n/neon/libneon19_0.19.3-2woody3_hppa.deb
Motorola 680x0
http://security.debian.org/pool/updates/main/n/neon/libneon-dev_0.19.3-2woody3_m68k.deb
http://security.debian.org/pool/updates/main/n/neon/libneon19_0.19.3-2woody3_m68k.deb
Big endian MIPS
http://security.debian.org/pool/updates/main/n/neon/libneon-dev_0.19.3-2woody3_mips.deb
http://security.debian.org/pool/updates/main/n/neon/libneon19_0.19.3-2woody3_mips.deb
Little endian MIPS
http://security.debian.org/pool/updates/main/n/neon/libneon-dev_0.19.3-2woody3_mipsel.deb
http://security.debian.org/pool/updates/main/n/neon/libneon19_0.19.3-2woody3_mipsel.deb
PowerPC
http://security.debian.org/pool/updates/main/n/neon/libneon-dev_0.19.3-2woody3_powerpc.deb
http://security.debian.org/pool/updates/main/n/neon/libneon19_0.19.3-2woody3_powerpc.deb
IBM S/390
http://security.debian.org/pool/updates/main/n/neon/libneon-dev_0.19.3-2woody3_s390.deb
http://security.debian.org/pool/updates/main/n/neon/libneon19_0.19.3-2woody3_s390.deb
Sun Sparc
http://security.debian.org/pool/updates/main/n/neon/libneon-dev_0.19.3-2woody3_sparc.deb
http://security.debian.org/pool/updates/main/n/neon/libneon19_0.19.3-2woody3_sparc.deb

Mandrake Linux

Mandrake Linux 9.2
i386
ftp://ftp.proxad.net/pub/Distributions_Linux/Mandrake/official/updates/9.2/RPMS/xchat-2.0.4-7.1.92mdk.i586.rpm
ftp://ftp.proxad.net/pub/Distributions_Linux/Mandrake/official/updates/9.2/RPMS/xchat-perl-2.0.4-7.1.92mdk.i586.rpm
ftp://ftp.proxad.net/pub/Distributions_Linux/Mandrake/official/updates/9.2/RPMS/xchat-python-2.0.4-7.1.92mdk.i586.rpm
ftp://ftp.proxad.net/pub/Distributions_Linux/Mandrake/official/updates/9.2/RPMS/xchat-tcl-2.0.4-7.1.92mdk.i586.rpm
ftp://ftp.proxad.net/pub/Distributions_Linux/Mandrake/official/updates/9.2/SRPMS/xchat-2.0.4-7.1.92mdk.src.rpm
AMD64
ftp://ftp.proxad.net/pub/Distributions_Linux/Mandrake/official/updates/amd64/9.2/RPMS/xchat-2.0.4-7.1.92mdk.amd64.rpm
ftp://ftp.proxad.net/pub/Distributions_Linux/Mandrake/official/updates/amd64/9.2/RPMS/xchat-perl-2.0.4-7.1.92mdk.amd64.rpm
ftp://ftp.proxad.net/pub/Distributions_Linux/Mandrake/official/updates/amd64/9.2/RPMS/xchat-python-2.0.4-7.1.92mdk.amd64.rpm
ftp://ftp.proxad.net/pub/Distributions_Linux/Mandrake/official/updates/amd64/9.2/RPMS/xchat-tcl-2.0.4-7.1.92mdk.amd64.rpm
ftp://ftp.proxad.net/pub/Distributions_Linux/Mandrake/official/updates/amd64/9.2/SRPMS/xchat-2.0.4-7.1.92mdk.src.rpm

Mandrakelinux 10.0
i386
ftp://ftp.proxad.net/pub/Distributions_Linux/Mandrake/official/updates/10.0/RPMS/xchat-2.0.7-6.1.100mdk.i586.rpm
ftp://ftp.proxad.net/pub/Distributions_Linux/Mandrake/official/updates/10.0/RPMS/xchat-perl-2.0.7-6.1.100mdk.i586.rpm
ftp://ftp.proxad.net/pub/Distributions_Linux/Mandrake/official/updates/10.0/RPMS/xchat-python-2.0.7-6.1.100mdk.i586.rpm
ftp://ftp.proxad.net/pub/Distributions_Linux/Mandrake/official/updates/10.0/RPMS/xchat-tcl-2.0.7-6.1.100mdk.i586.rpm
ftp://ftp.proxad.net/pub/Distributions_Linux/Mandrake/official/updates/10.0/SRPMS/xchat-2.0.7-6.1.100mdk.src.rpm

RedHat Linux

RedHat Linux 9
SRPMS
ftp://updates.redhat.com/9/en/os/SRPMS/xchat-1.8.11-9.src.rpm
i386
ftp://updates.redhat.com/9/en/os/i386/xchat-1.8.11-9.i386.rpm

Red Hat Linux

Red Hat Desktop (v. 3)
AMD64
xchat-2.0.4-4.EL.x86_64.rpm
SRPMS
xchat-2.0.4-4.EL.src.rpm
i386
xchat-2.0.4-4.EL.i386.rpm
https://rhn.redhat.com/

Red Hat Enterprise Linux AS (v. 2.1)
SRPMS
xchat-1.8.9-1.21as.2.src.rpm
i386
xchat-1.8.9-1.21as.2.i386.rpm
ia64
xchat-1.8.9-1.21as.2.ia64.rpm
https://rhn.redhat.com/

Red Hat Enterprise Linux AS (v. 3)
AMD64
xchat-2.0.4-4.EL.x86_64.rpm
SRPMS
xchat-2.0.4-4.EL.src.rpm
i386
xchat-2.0.4-4.EL.i386.rpm
ia64
xchat-2.0.4-4.EL.ia64.rpm
ppc
xchat-2.0.4-4.EL.ppc.rpm
s390
xchat-2.0.4-4.EL.s390.rpm
s390x
xchat-2.0.4-4.EL.s390x.rpm
https://rhn.redhat.com/

Red Hat Enterprise Linux ES (v. 2.1)
SRPMS
xchat-1.8.9-1.21as.2.src.rpm
i386
xchat-1.8.9-1.21as.2.i386.rpm
https://rhn.redhat.com/

Red Hat Enterprise Linux ES (v. 3)
AMD64
xchat-2.0.4-4.EL.x86_64.rpm
SRPMS
xchat-2.0.4-4.EL.src.rpm
i386
xchat-2.0.4-4.EL.i386.rpm
ia64
xchat-2.0.4-4.EL.ia64.rpm
https://rhn.redhat.com/

Red Hat Enterprise Linux WS (v. 2.1)
SRPMS
xchat-1.8.9-1.21as.2.src.rpm
i386
xchat-1.8.9-1.21as.2.i386.rpm
https://rhn.redhat.com/

Red Hat Enterprise Linux WS (v. 3)
AMD64
xchat-2.0.4-4.EL.x86_64.rpm
SRPMS
xchat-2.0.4-4.EL.src.rpm
i386
xchat-2.0.4-4.EL.i386.rpm
ia64
xchat-2.0.4-4.EL.ia64.rpm
https://rhn.redhat.com/

Red Hat Linux Advanced Workstation 2.1 Itanium Processor
SRPMS
xchat-1.8.9-1.21as.2.src.rpm
ia64
xchat-1.8.9-1.21as.2.ia64.rpm
https://rhn.redhat.com/

Identificadores estándar

Propiedad Valor
CVE CAN-2004-0409
BID NULL

Recursos adicionales

Xchat 2.0.x Socks5 Vulnerability announce
http://mail.nl.linux.org/xchat-announce/2004-04/msg00000.html

Debian Security Advisory DSA 493-1
http://lists.debian.org/debian-security-announce/debian-security-announce-2004/msg00093.html

MandrakeSoft Security Advisory MDKSA-2004:036
http://www.mandrakesecure.net/en/advisories/advisory.php?name=MDKSA-2004:036

Red Hat Security Advisory RHSA-2004:177-03
https://rhn.redhat.com/errata/RHSA-2004-177.html

Red Hat Security Advisory RHSA-2004:585-06
https://rhn.redhat.com/errata/RHSA-2004-585.html

Histórico de versiones

Versión Comentario Fecha
1.0 Aviso emitido 2004-04-20
1.1 Aviso emitido por Debian. Aviso emitido por Mandrake. CAN añadido. 2004-04-22
1.2 Aviso emitido por RedHat (RHSA-2004:177-03) 2004-04-30
2.0 Exploit público disponible 2004-05-04
2.1 Aviso emitido por Red Hat (RHSA-2004:585-06) 2004-10-28
Volver

Este sitio web utiliza cookies propias y de terceros para el correcto funcionamiento y visualización del sitio web por parte del usuario, así como la recogida de estadísticas. Si continúa navegando, consideramos que acepta su uso. Puede cambiar la configuración u obtener más información. Modificar configuración